List assistant templates
curl --request GET \
--url https://api.quiva.ai/hub/agent \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/hub/agent"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/hub/agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"subject": "<string>",
"config": {
"name": "Helper Agent",
"behaviour": "You are a data analysis expert",
"llm_provider": "claude",
"model": "claude-haiku-4-5",
"id": "EMAIL_DRAFT",
"description": "Analyzes data patterns",
"agent_type": "",
"api_key": "CLAUDE_API_KEY",
"output_schema": {},
"has_tools": false,
"knowledge": [
"<string>"
],
"tools": [
"<string>"
],
"tool_definitions": [
{
"uri": "mcp://local/file_read",
"name": "file_read",
"description": "Reads content from a file",
"schema": {}
}
],
"timeout": 60000,
"context_limit": 200000,
"message_history_limit": 2000,
"smart_context": false,
"ai_smart_context": false,
"ai_summary_threshold": 0.7,
"ai_summary_model": "claude-haiku-4-5",
"preserve_most_recent": 5,
"ai_prompt": false,
"instructions": [
"<string>"
],
"context_variables": {},
"mcp_base_urls": {},
"auth": {},
"llm_config": {
"temperature": 1,
"max_tokens": 2,
"max_turns": 2
},
"agent_settings": {
"memory": {
"enabled": false,
"marker_types": [
"error"
],
"query_enabled": true,
"max_memory_entries": 100,
"similarity_threshold": 0.7
},
"smart_context_advanced": {
"token_limit_auto_adjust": true,
"complexity_detection": true,
"complexity_detection_method": "keyword",
"message_summarization": true,
"ephemeral_streams": false,
"min_messages_for_summary": 3
},
"verification": {
"enabled": false,
"consensus_runs": 3,
"consensus_threshold": 0.66,
"verifier_agent": "<string>"
},
"human_in_the_loop": {
"enabled": false,
"auto_escalate_on_error": false,
"checkpoints": [
"pre_tool_call"
],
"escalation_threshold": {
"error_count": 3,
"confidence_score": 0.5,
"turn_count": 10
}
},
"branching": {
"enabled": false,
"auto_checkpoint": true,
"checkpoint_interval": 5,
"max_branches": 3
},
"observability": {
"debug_mode": false,
"capture_thinking": true,
"capture_tool_calls": true,
"metrics_enabled": true,
"tracing_enabled": true,
"log_level": "info"
},
"knowledge_advanced": {
"semantic_indexing": true,
"image_detail_level": "low",
"adaptive_image_resolution": true,
"bucket_semantic_search": true,
"section_based_retrieval": true,
"max_retrieval_tokens": 10000
}
},
"allowed_agents": [
{
"subject": "<string>",
"description": "<string>"
}
],
"invocation_depth": 0,
"agent_template_subject": "<string>",
"appearance": {
"avatar": true,
"avatar_bg_size": "<string>",
"color": "<string>",
"fit_avatar": true
},
"api_key_source": "personal",
"shared": "private"
},
"modified": 123
}
],
"results_total": 123
}{
"error": "invalid request"
}Assistants
List assistant templates
Retrieves a list of assistants
GET
/
hub
/
agent
List assistant templates
